Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Interface ServerDescription

public interface ServerDescription

Provides a specific attribute of a ServerDirContext. The ID of the attribute is equal to ATTR_ID, and the value of this attribute is an object that implements this interface.

Field Summary
`static java.lang.String` | `ATTR_ID` The attribute ID of the ServerDescription attribute.
`static java.lang.String` | `attrID` Deprecated. This member will be removed. Use ATTR_ID instead.

Method Summary
`java.lang.String` | `getCompanyName()` Returns the name of the company providing the version of NetWare.
`java.lang.String` | `getCopyrightNotice()` Returns the copyright notice of the server.
`java.lang.String` | `getRevision()` Returns the server's version and revision description string.
`java.lang.String` | `getRevisionDate()` Returns the revision date of the server.
`void` | `setCompanyName(java.lang.String value)` Sets the name of the company providing the version of the NetWare OS as the search value.
`void` | `setCopyrightNotice(java.lang.String value)` Sets the copyright notice of the server as the search value.
`void` | `setRevision(java.lang.String value)` Sets the version of the server and revision description string as the search value.
`void` | `setRevisionDate(java.lang.String value)` Sets the server's revision date in the form of mm/dd/yyyy as the search value.

Field Detail

### ATTR_ID

    public static final java.lang.String ATTR_ID

  The attribute ID of the ServerDescription attribute.

  (ATTR_ID = "ServerDescription")

### attrID

    public static final java.lang.String attrID

  Deprecated. This member will be removed. Use ATTR_ID instead.

Method Detail

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws com.novell.service.jncp.NSIException

  Returns the name of the company providing the version of NetWare.
  Returns:
    The name of the company providing the version of the NetWare OS.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getRevision

    public java.lang.String getRevision()
                                 throws com.novell.service.jncp.NSIException

  Returns the server's version and revision description string.
  Returns:
    The server's version and revision description string.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getRevisionDate

    public java.lang.String getRevisionDate()
                                     throws com.novell.service.jncp.NSIException

  Returns the revision date of the server.
  Returns:
    The server's revision date in the form of mm/dd/yyyy.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getCopyrightNotice

    public java.lang.String getCopyrightNotice()
                                        throws com.novell.service.jncp.NSIException

  Returns the copyright notice of the server.
  Returns:
    The server's copyright notice.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setCompanyName

    public void setCompanyName(java.lang.String value)
                        throws com.novell.service.jncp.NSIException

  Sets the name of the company providing the version of the NetWare OS as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The name of the company providing the version of NetWare.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setRevision

    public void setRevision(java.lang.String value)
                     throws com.novell.service.jncp.NSIException

  Sets the version of the server and revision description string as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The server's version and revision description string.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setRevisionDate

    public void setRevisionDate(java.lang.String value)
                         throws com.novell.service.jncp.NSIException

  Sets the server's revision date in the form of mm/dd/yyyy as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - the revision date of the server.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setCopyrightNotice

    public void setCopyrightNotice(java.lang.String value)
                            throws com.novell.service.jncp.NSIException

  Sets the copyright notice of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The server's copyright notice.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD